%define uname	BR24radar_pi
%define piname	br24radar_pi

Name:		opencpn-br24radar-plugin
Summary:	Radar plugin for OpenCpn
Version:	3.0.0
Release:	%mkrel 10
License:	GPLv3+
Group:		Geography
URL:		https://github.com/canboat/%{uname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{uname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{uname} = %{version}

%description
Navico (Simrad, Lowrance) Broadband BR24/3G/4G Radar PlugIn for opencpn

%prep
%setup -q -n %{uname}

# make sure cmake is used
rm -rf Makefile

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Fri Jan 01 2021 wally <wally> 3.0.0-10.mga8
+ Revision: 1667708
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 3.0.0-9.mga8
+ Revision: 1614349
- rebuild for new wxgtk 3.1.4

* Fri May 01 2020 wally <wally> 3.0.0-8.mga8
+ Revision: 1577589
- use %%cmake_build macro
+ ovitters <ovitters>
- rebuild to test package builds with cmake_install without a cmake_build

* Tue Feb 18 2020 umeabot <umeabot> 3.0.0-6.mga8
+ Revision: 1538026
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 3.0.0-5.mga8
+ Revision: 1459474
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 3.0.0-4.mga8
+ Revision: 1421013
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 3.0.0-3.mga7
+ Revision: 1299991
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 3.0.0-2.mga7
+ Revision: 1239498
- fix build on aarch64

* Fri Dec 29 2017 barjac <barjac> 3.0.0-1.mga7
+ Revision: 1186870
- use upstream version including patch

* Thu Dec 28 2017 barjac <barjac> 3.0-1.mga7
+ Revision: 1186594
- new version 3.0
- dont own %%{_libdir}/opencpn

* Sat Jun 03 2017 akien <akien> 2.2-2.mga6
+ Revision: 1106107
- Rebuild for wxgtk 3.0.3.1

* Mon Oct 10 2016 barjac <barjac> 2.2-1.mga6
+ Revision: 1059875
- new version 2.2
- fix files list

* Thu Jun 02 2016 daviddavid <daviddavid> 1.32-2.mga6
+ Revision: 1019827
- rebuild for wxgtk3.0 built with GTK2

* Thu Apr 28 2016 barjac <barjac> 1.32-1.mga6
+ Revision: 1007196
- new version 1.32

* Tue Mar 15 2016 barjac <barjac> 1.31-1.mga6
+ Revision: 990975
- new version 1.31

* Tue Feb 16 2016 barjac <barjac> 1.3-2.mga6
+ Revision: 962306
- changed buildrequire wxgtku3.0

* Mon Dec 07 2015 barjac <barjac> 1.3-1.mga6
+ Revision: 908748
- new package opencpn-br24radar-plugin

